View Issue Details

This bug affects 1 person(s).
 2
IDProjectCategoryView StatusLast Update
17525Bug reportsImport/Exportpublic2021-11-22 17:28
Reportergabrieljenik Assigned ToDenisChenu  
PrioritynoneSeveritypartial_block 
Status testingResolutionfixed 
Product Version3.25.20 
Summary17525: VVImport: "Exclude record IDs" ignores existing entries while it should force "renumber"
DescriptionFrom documentation:
>>
Exclude record IDs?: if 'id' column exist in the file you can exclude this line or not. If this setting is checked then a new record is added for each line of the .vv file
>>

When importing using "Exclude record IDs", if an imported record matches any id of the existing responses, the record is ignored. It should be at least renumberd.

Still, from documentation, I would expect that all responses improted to get renumbered, not only the ones matching existing responses.
TagsNo tags attached.
Bug heat2
Complete LimeSurvey version number (& build)3.25.20
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2021-08-18 22:14

manager  

image.png (40,048 bytes)   
image.png (40,048 bytes)   
DenisChenu

DenisChenu

2021-10-25 12:40

developer   ~66925

I get it : easy fix
DenisChenu

DenisChenu

2021-10-26 10:01

developer   ~66929

Last edited: 2021-11-10 17:01

> When importing using "Exclude record IDs", if an imported record matches any id of the existing responses, the record is ignored. It should be at least renumberd.

Please : explain the issue here what choice is done exactly ?

> Still, from documentation, I would expect that all responses improted to get renumbered, not only the ones matching existing responses.

This one is OK, id muts be unset if Exclude record IDs? is Yes
DenisChenu

DenisChenu

2021-10-26 10:21

developer   ~66930

Last edited: 2021-11-10 17:01

View 2 revisions

> Please : explain the issue here what choice is done exactly ?
OK, got it.

3LTS : https://github.com/LimeSurvey/LimeSurvey/pull/2114
master : https://github.com/LimeSurvey/LimeSurvey/pull/2115
DenisChenu

DenisChenu

2021-11-08 15:33

developer   ~67176

Last edited: 2021-11-10 17:01

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32877
DenisChenu

DenisChenu

2021-11-22 17:28

developer   ~67480

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32994

Related Changesets

LimeSurvey: master b226c144

2021-11-08 15:33:13

DenisChenu


Committer: GitHub Details Diff
Fixed issue 17525: VVImport: "Exclude record IDs" ignores existing entries while it should force "renumber" (#2115)

Dev: unset any existing id in case of ignore
Dev: default to renumber
Affected Issues
17525
mod - application/helpers/admin/import_helper.php Diff File

LimeSurvey: 3.x-LTS d701928d

2021-11-22 17:28:40

DenisChenu


Committer: GitHub Details Diff
Fixed issue 17525: VVImport: "Exclude record IDs" ignores existing eā€¦ (#2114)

Dev: default to ignore/renumber (must not happen)
Affected Issues
17525
mod - application/helpers/admin/import_helper.php Diff File

Issue History

Date Modified Username Field Change
2021-08-18 22:14 gabrieljenik New Issue
2021-08-18 22:14 gabrieljenik File Added: image.png
2021-08-19 11:41 galads Assigned To => galads
2021-08-19 11:41 galads Status new => acknowledged
2021-10-25 12:40 DenisChenu Assigned To galads => DenisChenu
2021-10-25 12:40 DenisChenu Status acknowledged => confirmed
2021-10-25 12:40 DenisChenu Note Added: 66925
2021-10-25 12:40 DenisChenu Bug heat 0 => 2
2021-10-26 10:01 DenisChenu Note Added: 66929
2021-10-26 10:21 DenisChenu Assigned To DenisChenu => gabrieljenik
2021-10-26 10:21 DenisChenu Status confirmed => testing
2021-10-26 10:21 DenisChenu Note Added: 66930
2021-10-26 10:22 DenisChenu Note Edited: 66930 View Revisions
2021-11-08 15:33 DenisChenu Changeset attached => LimeSurvey master b226c144
2021-11-08 15:33 DenisChenu Note Added: 67176
2021-11-08 15:33 DenisChenu Assigned To gabrieljenik => DenisChenu
2021-11-08 15:33 DenisChenu Resolution open => fixed
2021-11-10 17:01 galads Description Updated View Revisions
2021-11-22 17:28 DenisChenu Changeset attached => LimeSurvey 3.x-LTS d701928d
2021-11-22 17:28 DenisChenu Note Added: 67480